TAU_ENABLE_GROUP(3)

Name
TAU_ENABLE_GROUP - Enables tracking of a given group

Synopsis

C/C++:

TAU_ENABLE_GROUP(TauGroup_t group);

Fortran:

TAU_ENABLE_GROUP(integer group);

Description

Enables the instrumentation for a given group. By default, it is already on.

Example

C/C++ :

    void foo() {
      TAU_PROFILE("foo()", " ", TAU_USER);
      ...
      TAU_ENABLE_GROUP(TAU_USER);
    }

Fortran :

      include 'Profile/TauFAPI.h'
      call TAU_ENABLE_GROUP(TAU_USER)

Python:

    import pytau
    pytau.enableGroup(TAU_USER)

See Also

TAU_ENABLE_INSTRUMENTATION(3), TAU_DISABLE_INSTRUMENTATION(3), TAU_DISABLE_GROUP(3), TAU_INIT(3), TAU_PROFILE_INIT(3)